APIAutomations
Rotate an automation's webhook secret
Issue a new signing secret for a webhook automation's hook. The hook URL does not change, and the previous secret keeps verifying deliveries for 24 hours.
POST https://api.sazabi.com/v1/automations/{automationId}/webhook/rotate-secret
Path Parameters
automationId*string
Automation ID.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/automations/497f6eca-6276-4993-bfeb-53cbbbba6f08/webhook/rotate-secret" \ -H "Content-Type: application/json" \ -d '{}'{ "webhook": { "hookId": "string", "url": "string", "lastDeliveryAt": "2019-08-24T14:15:22Z", "secretRotatedAt": "2019-08-24T14:15:22Z" }, "secret": "string"}